Netscape on FreeBSD-4.3

Andrew Boothman andrew at cream.org
Wed Jun 20 22:05:44 BST 2001


On Wednesday 20 June 2001  8:53 pm, Paul Civati wrote:
> Andrew Boothman <andrew at dogma.freebsd-uk.eu.org> wrote:
> > I'm having some trouble getting any (native, linux or mozilla)
> > version of  Netscape to run under FreeBSD-4.3.
>
> I presume you mean 4.3-RELEASE.

Yes, sorry I did!

> It's not finding the shared library, you have to tell ldconfig
> to load shared libs from /usr/X11R6/lib at boot time, add the
> following to /etc/rc.conf and reboot:
>
> ldconfig_paths="/usr/lib/compat /usr/X11R6/lib /usr/local/lib"

Hmm, actually that exact line is in /etc/defaults/rc.conf so putting it into 
/etc/rc.conf won't make any difference I think.

Anyway, I'd already searched the -questions archive, but all I could find was 
people asking the same question, but nobody with an answer. But after a 
better search, I found the problem. You need to install the 2.2 compatability 
library and the x11/XFree86-aoutlibs port. Apparently these are always 
required by any pre-compiled a.out X binary.

Anyway, thanks for your help!

Andrew.




More information about the Ukfreebsd mailing list